Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.custom.sql
Class SQLQueryReturnProcessor

    java.lang.Object
      org.hibernate.loader.custom.sql.SQLQueryReturnProcessor

    public class SQLQueryReturnProcessor

extends Object

Responsible for processing the series of `returns` defined by a `NativeSQLQuerySpecification` and breaking them down into a series of `returns` for use within the `CustomLoader`.

Constructor Summary
`SQLQueryReturnProcessor(NativeSQLQueryReturn[] queryReturns, SessionFactoryImplementor factory)`

Method Summary
`List` | `generateCustomReturns(boolean queryHadAliases)`
`org.hibernate.loader.custom.sql.SQLQueryReturnProcessor.ResultAliasContext` | `process()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLQueryReturnProcessor

    public SQLQueryReturnProcessor(NativeSQLQueryReturn[] queryReturns,
                                   SessionFactoryImplementor factory)

Method Detail

### process

    public org.hibernate.loader.custom.sql.SQLQueryReturnProcessor.ResultAliasContext process()

### generateCustomReturns

    public List generateCustomReturns(boolean queryHadAliases)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.